SalesOS.

Web Forms

Web form builder and submissions

Get all web forms

GET
/api/web-forms

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

isActiveboolean
curl -X GET "https://www.salesos.org/api/api/web-forms?isActive=true" \
  -H "Authorization: Bearer <token>"

Create a new web form

POST
/api/web-forms

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
nameRequiredstring

Form name

descriptionstring

Form description

fieldsarray<object>

Form fields configuration

settingsobject

Form settings

stylingobject

Form styling

redirectUrlstring

Redirect URL after submission

thankYouMessagestring

Thank you message after submission

notificationEmailsarray<string>

Email addresses to notify on submission

assignmentRuleIdstring

Assignment rule ID to apply to leads

isActiveboolean

Is form active

Default: true
curl -X POST "https://www.salesos.org/api/api/web-forms" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "description": "string",
    "fields": [
      {
        "name": "string",
        "label": "string",
        "type": "text",
        "required": true,
        "placeholder": "string",
        "options": [
          {
            "label": "string",
            "value": "string"
          }
        ]
      }
    ],
    "settings": {},
    "styling": {},
    "redirectUrl": "string",
    "thankYouMessage": "string",
    "notificationEmails": [
      "string"
    ],
    "assignmentRuleId": "string",
    "isActive": true
  }'

Get global web form statistics

GET
/api/web-forms/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/web-forms/stats" \
  -H "Authorization: Bearer <token>"

Get a web form by ID

GET
/api/web-forms/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/web-forms/<string>" \
  -H "Authorization: Bearer <token>"

Update a web form

PATCH
/api/web-forms/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
namestring

Form name

descriptionstring

Form description

fieldsarray<object>

Form fields configuration

settingsobject

Form settings

stylingobject

Form styling

redirectUrlstring

Redirect URL after submission

thankYouMessagestring

Thank you message after submission

notificationEmailsarray<string>

Email addresses to notify on submission

assignmentRuleIdstring

Assignment rule ID to apply to leads

isActiveboolean

Is form active

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/web-forms/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "description": "string",
    "fields": [
      {
        "name": "string",
        "label": "string",
        "type": "text",
        "required": true,
        "placeholder": "string",
        "options": [
          {
            "label": "string",
            "value": "string"
          }
        ]
      }
    ],
    "settings": {},
    "styling": {},
    "redirectUrl": "string",
    "thankYouMessage": "string",
    "notificationEmails": [
      "string"
    ],
    "assignmentRuleId": "string",
    "isActive": true
  }'

Delete a web form

DELETE
/api/web-forms/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/web-forms/<string>" \
  -H "Authorization: Bearer <token>"

Clone a web form

POST
/api/web-forms/{id}/clone

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/web-forms/<string>/clone" \
  -H "Authorization: Bearer <token>"

Get embed code for the form

GET
/api/web-forms/{id}/embed-code

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/web-forms/<string>/embed-code" \
  -H "Authorization: Bearer <token>"

Regenerate form slug

POST
/api/web-forms/{id}/regenerate-slug

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/web-forms/<string>/regenerate-slug" \
  -H "Authorization: Bearer <token>"

Get form statistics

GET
/api/web-forms/{id}/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/web-forms/<string>/stats" \
  -H "Authorization: Bearer <token>"

Get form submissions

GET
/api/web-forms/{id}/submissions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Query Parameters

statusstring
Value in: "PENDING" | "PROCESSED" | "FAILED" | "DUPLICATE" | "SPAM"
pagenumber
limitnumber
curl -X GET "https://www.salesos.org/api/api/web-forms/<string>/submissions?status=PENDING&page=0&limit=0" \
  -H "Authorization: Bearer <token>"

Get a specific submission

GET
/api/web-forms/{id}/submissions/{submissionId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
submissionIdRequiredstring
curl -X GET "https://www.salesos.org/api/api/web-forms/<string>/submissions/<string>" \
  -H "Authorization: Bearer <token>"

Delete a submission

DELETE
/api/web-forms/{id}/submissions/{submissionId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
submissionIdRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/web-forms/<string>/submissions/<string>" \
  -H "Authorization: Bearer <token>"

Get public form data by slug

GET
/api/web-forms/public/{slug}

Path Parameters

slugRequiredstring
curl -X GET "https://www.salesos.org/api/api/web-forms/public/<string>"

Submit a web form (public endpoint)

POST
/api/web-forms/public/{slug}/submit

Request Body

application/jsonRequired
dataRequiredobject

Form field values

Path Parameters

slugRequiredstring

Header Parameters

user-agentRequiredstring
refererRequiredstring
curl -X POST "https://www.salesos.org/api/api/web-forms/public/<string>/submit" \
  -H "user-agent: <string>" \
  -H "referer: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "data": {}
  }'